Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046523
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[POS2] POScriticalhave not tried2021-05-05 13:422021-05-19 15:21
ReporterebecerraView Statuspublic 
Assigned Toprakashmurugesan88 
PrioritynormalResolutionfixedFixed in VersionTAP
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionTAP
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046523: Menu prices load from main prices list

DescriptionIn the POS2 when select a menu, the prices used is the main price list for the store, not be used the schema's prices.
Steps To ReproduceLog in the backoffice.

Go to organization window.

Open an organization, and navigate to the price list by default.

Set a price for a menu.

Go to back to the organization window.

Select a schema, navigate to it's price list (different from the default one) and put a different price for the same menu.

Log in the new POS

Change the schema to the one that we have changed the price.

Check that the price showing is the one in the default pricelist and not the one of the schema pricelist.
 
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0046514 closedprakashmurugesan88 JIRA 1868 - Menu prices load from main prices list 

-  Notes
(0128312)
prakashmurugesan88 (developer)
2021-05-18 11:52

Merge Request created:

https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2/-/merge_requests/17 [^]

https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2.restaurant/-/merge_requests/4 [^]
(0128408)
prakashmurugesan88 (developer)
2021-05-19 14:14

Fixed in following commit,

https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2/-/commit/0c8e7890edddb9e127904403d019059903003436 [^]

https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2.restaurant/-/commit/9e8dd4a1de8974c4f48e753ccf8d5478b49b035c [^]

- Issue History
Date Modified Username Field Change
2021-05-05 17:15 guilleaer Type defect => backport
2021-05-05 17:15 guilleaer Target Version => TAP
2021-05-05 17:15 guilleaer Status scheduled => acknowledged
2021-05-18 11:51 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2021-05-18 11:51 prakashmurugesan88 Status acknowledged => scheduled
2021-05-18 11:52 prakashmurugesan88 Note Added: 0128312
2021-05-19 14:14 prakashmurugesan88 Note Added: 0128408
2021-05-19 14:14 prakashmurugesan88 Status scheduled => resolved
2021-05-19 14:14 prakashmurugesan88 Resolution open => fixed
2021-05-19 15:21 guilleaer Review Assigned To => guilleaer
2021-05-19 15:21 guilleaer Status resolved => closed
2021-05-19 15:21 guilleaer Fixed in Version => TAP


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker